"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValueAlreadyExistsError = exports.KeyAlreadyExistsError = void 0;
/** Error thrown when attempting to add a key that already exists in a map. */
class KeyAlreadyExistsError extends Error {
    constructor(key) {
        super(`Key ${key} already exists in map`);
        this.key = key;
    }
}
exports.KeyAlreadyExistsError = KeyAlreadyExistsError;
/** Error thrown when attempting to add a value that already exists in a map. */
class ValueAlreadyExistsError extends Error {
    constructor(value) {
        super(`Value ${value} already exists in map`);
        this.value = value;
    }
}
exports.ValueAlreadyExistsError = ValueAlreadyExistsError;
